org.jasypt.commons

## Class CommonUtils

- Object
- - org.jasypt.commons.CommonUtils

-     public final class CommonUtils
      extends Object

  Common utils regarding treatment of parameter values and encoding operations. This class is for internal use only.

  Since:
    1.3
  Author:
    Daniel Fernández

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `STRING_OUTPUT_TYPE_BASE64`
    `static String` | `STRING_OUTPUT_TYPE_HEXADECIMAL`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `appendArrays(byte[] firstArray, byte[] secondArray)`
    `static byte[]` | `fromHexadecimal(String message)`
    `static Boolean` | `getStandardBooleanValue(String valueStr)`
    `static String` | `getStandardStringOutputType(String valueStr)`
    `static boolean` | `isEmpty(String string)`
    `static boolean` | `isNotEmpty(String string)`
    `static int` | `nextRandomInt()`
    `static String[]` | `split(String string)`
    `static String[]` | `split(String string, String separators)`
    `static String` | `substringAfter(String string, String separator)`
    `static String` | `substringBefore(String string, String separator)`
    `static String` | `toHexadecimal(byte[] message)`
    `static void` | `validateIsTrue(boolean expression, String message)`
    `static void` | `validateNotEmpty(String string, String message)`
    `static void` | `validateNotNull(Object object, String message)`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STRING_OUTPUT_TYPE_BASE64

          public static final String STRING_OUTPUT_TYPE_BASE64

      See Also:
        Constant Field Values

    - #### STRING_OUTPUT_TYPE_HEXADECIMAL

          public static final String STRING_OUTPUT_TYPE_HEXADECIMAL

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getStandardBooleanValue

          public static Boolean getStandardBooleanValue(String valueStr)

    - #### getStandardStringOutputType

          public static String getStandardStringOutputType(String valueStr)

    - #### toHexadecimal

          public static String toHexadecimal(byte[] message)

    - #### fromHexadecimal

          public static byte[] fromHexadecimal(String message)

    - #### isEmpty

          public static boolean isEmpty(String string)

    - #### isNotEmpty

          public static boolean isNotEmpty(String string)

    - #### validateNotNull

          public static void validateNotNull(Object object,
                                             String message)

    - #### validateNotEmpty

          public static void validateNotEmpty(String string,
                                              String message)

    - #### validateIsTrue

          public static void validateIsTrue(boolean expression,
                                            String message)

    - #### split

          public static String[] split(String string)

    - #### split

          public static String[] split(String string,
                                       String separators)

    - #### substringBefore

          public static String substringBefore(String string,
                                               String separator)

    - #### substringAfter

          public static String substringAfter(String string,
                                              String separator)

    - #### nextRandomInt

          public static int nextRandomInt()

    - #### appendArrays

          public static byte[] appendArrays(byte[] firstArray,
                                            byte[] secondArray)

Copyright © 2019 The JASYPT team. All rights reserved.